Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.io
Class PajekNetWriter

    java.lang.Object
      edu.uci.ics.jung.io.PajekNetWriter

public class PajekNetWriter
extends Object

Writes graphs in the Pajek NET format.

Labels for vertices may optionally be specified by implementations of `VertexStringer`. Edge weights are optionally specified by implementations of `NumberEdgeValue`. Vertex locations are optionally specified by implementations of `VertexLocationFunction`. Note that vertex location coordinates must be normalized to the interval [0, 1] on each axis in order to conform to the Pajek specification.

Author:
  Joshua O'Madadhain

Constructor Summary
`PajekNetWriter()`

Method Summary
`void` | `save(Graph g, String filename)` Saves `g` to `filename`; no vertex labels are written out, and the edge weights are written as 1.0.
`void` | `save(Graph g, String filename, VertexStringer vs, NumberEdgeValue nev)`
`void` | `save(Graph g, String filename, VertexStringer vs, NumberEdgeValue nev, VertexLocationFunction vld)` Saves `g` to `filename`.
`void` | `save(Graph g, Writer w)` Saves `g` to `w`; no vertex labels are written out, and the edge weights are written as 1.0.
`void` | `save(Graph g, Writer w, VertexStringer vs, NumberEdgeValue nev)`
`void` | `save(Graph graph, Writer w, VertexStringer vs, NumberEdgeValue nev, VertexLocationFunction vld)` Writes `graph` to `w`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PajekNetWriter

    public PajekNetWriter()

Method Detail

### save

    public void save(Graph g,
                     String filename,
                     VertexStringer vs,
                     NumberEdgeValue nev,
                     VertexLocationFunction vld)
              throws IOException

  Saves `g` to `filename`. Labels for vertices may be supplied by `vs`. Edge weights are specified by `nev`.

  Throws:
    `IOException`
  See Also:
    `save(Graph, Writer, VertexStringer, NumberEdgeValue, VertexLocationFunction)`

### save

    public void save(Graph g,
                     String filename,
                     VertexStringer vs,
                     NumberEdgeValue nev)
              throws IOException

  Throws:
    `IOException`

### save

    public void save(Graph g,
                     String filename)
              throws IOException

  Saves `g` to `filename`; no vertex labels are written out, and the edge weights are written as 1.0.

  Throws:
    `IOException`

### save

    public void save(Graph g,
                     Writer w)
              throws IOException

  Saves `g` to `w`; no vertex labels are written out, and the edge weights are written as 1.0.

  Throws:
    `IOException`

### save

    public void save(Graph g,
                     Writer w,
                     VertexStringer vs,
                     NumberEdgeValue nev)
              throws IOException

  Throws:
    `IOException`

### save

    public void save(Graph graph,
                     Writer w,
                     VertexStringer vs,
                     NumberEdgeValue nev,
                     VertexLocationFunction vld)
              throws IOException

  Writes `graph` to `w`. Labels for vertices may be supplied by `vs` (defaults to no labels if null), edge weights may be specified by `nev` (defaults to weights of 1.0 if null), and vertex locations may be specified by `vld` (defaults to no locations if null).

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD